# Imported from my original amiga-like work
# http://prismadigitale.it

%define name		wallpaper-theme-workbenchos
%define pname		Workbenchos-2017
%define version		2.0.0
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Workbenchos Default Wallpaper Theme 2017
URL:			http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Group:			Graphical desktop/KDE5
License:		GPL v3
Source:			%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:		noarch
Obsoletes:		wallpaper-theme-default
Obsoletes:      wallpaper-theme-uplos
Obsoletes:		wallpaper-theme-pclinuxos
Provides:		wallpaper-theme-default = %version-%release

%description
%{summary}

%prep
%setup -q

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers
cp -fr * %buildroot%{_datadir}/wallpapers

%posttrans
rm -rf /var/tmp/kdecache-*/plasma-wallpapers

if [ ! -d %{_datadir}/wallpapers/Default ]; then
mkdir -p %{_datadir}/wallpapers/Default
fi



cd %{_datadir}/wallpapers/Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
rm -f contents
ln -s ../%{pname}/contents contents


if [ -d %{_datadir}/lxde/wallpapers ]; then 
mv %{_datadir}/wallpapers/%{pname}/lxde_gray.jpg %{_datadir}/lxde/wallpapers
mv %{_datadir}/wallpapers/%{pname}/lxde_blue_silver.jpg %{_datadir}/lxde/wallpapers
fi

if [ -d %{_datadir}/backgrounds/mate/desktop ]; then
mv %{_datadir}/wallpapers/%{pname}/Stripes.png %{_datadir}/backgrounds/mate/desktop
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers/%{pname}/*
%dir %{_datadir}/wallpapers/%{pname}


%changelog
* Mon Jan 07 2019 adrianomorselli <adrianomorselli> 2.0.0-1uplos2019
- 1st create
- thanks to @flinx
- removed old stuff
